> # NAME

> GenerateMipmap - 3D API texture mipmap generation

> # USAGE

> GenerateMipmap = bool(enable)

> # VALID ENUMERANTS

> enable: true, false

> # DESCRIPTION

> Set the OpenGL texture mipmap generation for the given texture. See the GL_GENERATE_MIPMAP description on the OpenGL glTexParameter manual page for details.

> For a TextureRectangle texture, this state has no effect.

> The standard reset callback sets the GenerateMipmap state to bool(false).

> # OPENGL FUNCTIONALITY REQUIREMENTS

> OpenGL 1.4 or support for extension SGIS_generate_mipmap.

> # DIRECT3D FUNCTIONALITY REQUIREMENTS

> Not applicable.

> # SEE ALSO

> Texture, Texture1D, Texture1DEnable, Texture2D, Texture2DEnable, Texture3D, Texture3DEnable, TextureCubeMap, TextureCubeMapEnable, TextureEnvMode, TextureFactor, TextureRectangle, TextureRectangleEnable, MagFilter, MaxMipLevel, MinFilter, MipFilter, MipMapLodBias